gnutls_alert_send_appropriate(3)

NAME
gnutls_alert_send_appropriate - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_alert_send_appropriate(gnutls_session_t session, int err);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

int err
    is an integer

DESCRIPTION
Sends an alert to the peer depending on the error code returned by a gnutls function. This function will call gnutls_error_to_alert() to determine the appropriate alert to send. This function may also return GNUTLS_E_AGAIN, or GNUTLS_E_INTERRUPTED. If the return value is GNUTLS_E_INVALID_REQUEST, then no alert has been sent to the peer.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/